Vulnerability CVE-2023-22483


Published: 2023-01-23   Modified: 2023-01-24

Description:
cmark-gfm is GitHub's fork of cmark, a CommonMark parsing and rendering library and program in C. Versions prior to 0.29.0.gfm.7 are subject to several polynomial time complexity issues in cmark-gfm that may lead to unbounded resource exhaustion and subsequent denial of service. Various commands, when piped to cmark-gfm with large values, cause the running time to increase quadratically. These vulnerabilities have been patched in version 0.29.0.gfm.7.

Type:

CWE-400

(Uncontrolled Resource Consumption ('Resource Exhaustion'))

 References:
https://github.com/github/cmark-gfm/security/advisories/GHSA-29g3-96g3-jg6c

Copyright 2023, cxsecurity.com

 

Back to Top